<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
    <button (click)="newRow(modalHelp)" class="btn btn-primary">
        <i class="fa fa-plus mr-2"></i>Nuevo
    </button>
    <!-- <button (click)="printPDF()" class="btn btn-danger ml-1">
        <i class="far fa-file-pdf mr-2"></i>PDF
    </button> -->
</app-page-title>

<div class="card">
    <div class="card-body">
        <kendo-grid [kendoGridBinding]="dataGrid" [filter]="filter" filterable="menu" [selectable]="true"
            [navigable]="true" [reorderable]="true" [resizable]="true" [sort]="sort" [sortable]="true"
            [groupable]="false" [group]="groups" [skip]="0" [pageSize]="10"
            [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 70vh">
            <kendo-grid-column field="iSec" title="Sec" [filterable]="false" width="90">
            </kendo-grid-column>
            <kendo-grid-column field="cedo" title="Estado" width="130"></kendo-grid-column>
            <kendo-grid-column field="cdesc" title="Descripción" width="210"></kendo-grid-column>
            <kendo-grid-column field="ctipo" title="Tipo" width="120"></kendo-grid-column>
            <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
                <ng-template kendoGridFilterCellTemplate>
                    <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
                    </kendo-switch>
                </ng-template>
                <ng-template kendoGridCellTemplate let-dataItem>
                    <span *ngIf="dataItem.Inactivo">Si</span>
                    <span *ngIf="!dataItem.Inactivo">No</span>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-command-column title="Actions" width="220">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <button class="btn btn-info mr-2" (click)="editRow(dataItem, modalHelp)">
                        <i class="fas fa-edit mr-2"></i>Editar
                    </button>
                    <button class="btn btn-danger mr-2" (click)="deleteRow(dataItem)">
                        <i class="fas fa-trash mr-2"></i>Eliminar
                    </button>
                </ng-template>
            </kendo-grid-command-column>
        </kendo-grid>


        <ng-template #modalHelp let-modal let-c="close">
            <div class="modal-header">
                <h6 class="modal-title">Estado de Cuarto</h6>
                <button type="button" class="close" aria-label="Close" (click)="modal.dismiss()">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form [formGroup]="myFormGroup">
                    <div class="row">
                        <div class="form-group col-sm-4 col-md-4 col-lg-2 col-xl-2">
                            <label for="cedo">Estado Cuarto</label>
                            <input type="text" class="form-control" formControlName="cedo" appFocus
                            [readonly]="flagEdit" maxlength="1" pattern="[a-zA-Z0-9]*">
                        </div>
                        <div class="form-group col-sm-8 col-md-8 col-lg-10 col-xl-10">
                            <label for="cdesc">Descripción</label>
                            <input type="text" class="form-control" formControlName="cdesc"
                            maxlength="30" pattern="[a-zA-Z0-9 ]*">
                        </div>
                        <div class="form-group col-6 col-sm-4 col-md-4 col-lg-4 col-xl-4">
                            <label for="ctipo">Tipo</label>
                            <kendo-dropdownlist [data]="dsTipos" [textField]="'descripcion'" [valueField]="'ctipo'"
                                [valuePrimitive]="true" formControlName="ctipo" name="ctipo" class="w-100">
                            </kendo-dropdownlist>
                        </div>
                        <div class="form-group col-6 col-sm-4 col-md-4 col-lg-4 col-xl-4">
                            <label for="Interfase">Interfase</label>
                            <kendo-dropdownlist [data]="dsInterfase" formControlName="Interfase" [valuePrimitive]="true"
                                class="w-100">
                            </kendo-dropdownlist>
                        </div>
                        <div class="form-group col-6 col-sm-4 col-md-4 col-lg-4 col-xl-4">
                            <label for="iSec">Secuencia</label>
                            <input type="number" class="form-control" formControlName="iSec" max="999">
                        </div>
                        <div class="form-group col-12 col-sm-4 col-md-4 col-lg-4 col-xl-4">
                            <label for="cColor">Color</label>
                            <input type="text" class="form-control" name="cColor"
                                [(colorPicker)]="myFormGroup.value.cColor" [style.background]="myFormGroup.value.cColor"
                                formControlName="cColor">
                        </div>
                        <div class="form-group col-6 col-sm-4 col-md-4 col-lg-4 col-xl-4">
                            <label for="cImagen">Imagen</label>
                            <input type="text" class="form-control" formControlName="cImagen">
                        </div>
                        <div class="form-group col-6 col-sm-4 col-md-4 col-lg-4 col-xl-4">
                            <label for="Inactivo" class="w-100">Inactivo</label>
                            <kendo-switch formControlName="Inactivo" [onLabel]="'Si'" [offLabel]="'No'"></kendo-switch>
                        </div>
                    </div>
                </form>
                <div class="row">
                    <div class="m-3">
                        <div class="row col-12">
                            <h5>Utilizado</h5>
                        </div>
                        <div class="col-3 custom-control custom-checkbox" *ngFor="let util of cutil;">
                            <input type="checkbox" class="custom-control-input" [id]="util.id" [name]="util.id"
                                [(ngModel)]="util.value">
                            <label class="custom-control-label" [for]="util.id">{{ util.desc }}</label>
                        </div>
                    </div>
                    <div class="m-3">
                        <div class="row col-12">
                            <h5>Guardar</h5>
                        </div>
                        <div class="col-3 custom-control custom-checkbox" *ngFor="let guardar of cguardar;">
                            <input type="checkbox" class="custom-control-input" [id]="guardar.id" [name]="guardar.id"
                                [(ngModel)]="guardar.value">
                            <label class="custom-control-label" [for]="guardar.id">{{ guardar.desc }}</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-success mr-1" [disabled]="myFormGroup.invalid" (click)="guardarForm()">
                    <i class="fas fa-save mr-2"></i>Guardar
                </button>
                <button class="btn btn-secondary" (click)="c()">Cerrar</button>
            </div>
        </ng-template>
    </div>
</div>
